import java.util.*;

public class GenMax {
	
	private static final int MAX_N = 100000;
	private static final int MAX_X = 10000;
	private static final int MAX_Y = 10000;
	static Random rand;
	
	public static void main(String[] args) {
		rand = new Random();
		int n = MAX_N;
		System.out.println(n + " 0 0 1");
		int x = -1, y = -1;
		for(int i = 0; i < n - 1; ++i) {
			x = rand.nextInt(MAX_X);
			y = rand.nextInt(MAX_Y);
			while(x * x + y * y <= 1) {
				x = rand.nextInt(MAX_X);
				y = rand.nextInt(MAX_Y);
			}
			System.out.println(x + " " + y);
		}
		System.out.println("0 0");
	}
} 